Script: *count-characters.ps1*
========================

This PowerShell script counts the number of characters in the given string.

Parameters
----------
```powershell
PS> ./count-characters.ps1 [[-givenString] <String>] [<CommonParameters>]

-givenString <String>
    Specifies the given string.
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./count-characters.ps1 "Hello World"
✔️ 11 characters counted in 'Hello World'.

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Counts the number of characters
.DESCRIPTION
	This PowerShell script counts the number of characters in the given string.
.PARAMETER GivenString
	Specifies the given string.
.EXAMPLE
	PS> ./count-characters.ps1 "Hello World"
	✔️ 11 characters counted in 'Hello World'.
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

param([string]$givenString = "")

try {
	if ($givenString -eq "" ) { $givenString = Read-Host "Enter the string" }

	[int64]$numChars = $givenString.Length
	"✔️ $numChars characters counted in '$givenString'." 
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of count-characters.ps1 as of 08/15/2024 09:50:47)*
